Subject: bug#37802: 27.0.50; Feature request: hook for theme enabling/disabling

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 May 2022 16:25:09 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 21 May 2022 15:21:29 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but is there any reason these hooks aren't called
> > enable-theme-function and disable-theme-function?  Hooks by such
> > names are already documented as "abnormal hooks", which would avoid
> > the need of saying these new hooks are "atypical", something that we
> > never had in our terminology.
> 
> "Abnormal" was the word I was looking for.
> 
> As for the name, I don't really have much of an opinion -- we have more
> of these abnormal hooks called -hook than -function(s), a short grepping
> for run-hook-with-args shows.

Maybe so, and we cannot do much about bad names that are already in
the wild.  But why not use the documented names for new hooks we
introduce now?

I can rename them myself, I just wanted to make sure you didn't have
any particular reason for using those names.